package com.clx.performance.service.settle;

public interface SettlementMqService {

    void settlementDetailAdd(Integer settlementOwnerDetailId, Integer settlementDriverDetailId);

    void settlementStatistics(String childNo);
    void settlementStatistics(String childNo, Integer type);

    void invoiceTypeSync(String childNo);

    void settle(String childNo, Integer invoiceType, String remark);

    void invoiceStatusSync(String childNo);

    void payStatusSync(String childNo);

    void riskProcess(Integer id);

    void updateInvoiceCompany(Integer id);

    void settlementPlatformAutoConfirmUpdate(Integer settlementId);

}
